Skip to main content
GET
/
direct-debits
List all direct debits
curl --request GET \
  --url https://api.equalsmoney.com/v2/direct-debits \
  --header 'Authorization: <api-key>'
{
  "limit": 200,
  "offset": 100,
  "count": 67,
  "rows": [
    {
      "id": "775596ae-2624-40af-a9dc-9756110a4a03",
      "budgetId": "775596ae-2624-40af-a9dc-9756110a4a03",
      "reference": "fre4r5tg",
      "status": "ACTIVE",
      "priority": 2,
      "originator": {
        "id": "123456",
        "accountName": "Netflix Inc",
        "address": {
          "addressType": "ADDR",
          "addressLine": "Vintners Place, 68, Upper Thames Street",
          "city": "London",
          "postcode": "EC4V 3BJ",
          "countryCode": "GB"
        }
      },
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

budgetIds

A comma-separated set of budget ids to filter by.

The term to search the records for.

Maximum string length: 100
Example:

"Cesar+Treutel"

status
enum<string>

Comma separated list of statuses to filter the direct debits by.

Available options:
active,
cancelled,
expired
Example:

"active, cancelled, expired"

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100

Response

200 - application/json

OK

count
integer
required

The total amount of records matching the querying when "limit" is ignored.

Example:

67

rows
object[]
required

List of direct debits.

limit
integer
default:100

The maximum number of results to return.

Required range: 1 <= x <= 1000
Example:

200

offset
integer
default:0

The number of items to skip before returning results.

Example:

100